#ifndef ESTRUCTURA_BLOQUES_H
#define ESTRUCTURA_BLOQUES_H

#define SIZE_BLOCK 4096
#define MAGIC 0xD23

/* Estructura para el super bloque
   Basada en el examen de SO2*/

struct super_bloque
{
    int magic_number;
    int total_bloques;
    int size_bloques;
    int sizebloques_mapabits;
    int primerbloque_mapabits;
    int bloques_libres;
    int bloque_root;
};

struct entrada_directorios
{
    char nombre [30];
    int tipo_bloque;
    int apuntador;
};

struct directorio {
    unsigned short valid : 1;
    unsigned short isDir : 1;
    unsigned short pad   : 6;
    unsigned short uid;
    unsigned short gid;
    unsigned short mode;
    unsigned int   mtime;
    unsigned int   start;
    unsigned int   length;
    char name[44];
};

/*
struct directorio
{
    int cantidad_elementos;
    int tipo_bloque;
    char permisos[3];
    struct entrada_directorios entrada[110];
};*/


#endif // ESTRUCTURA_BLOQUES_H
